Subject: Re: [PATCH v2] brcmfmac: Add support for BCM43596 PCIe Wi-Fi

From: Kalle Valo <[email-masked]>
Date: Fri, 25 Nov 2022 13:53:43 +0200

Konrad Dybcio <[email-masked]> writes:

> On 21.11.2022 14:56, Linus Walleij wrote:
>> On Fri, Nov 18, 2022 at 5:47 PM Konrad Dybcio <[email-masked]> wrote:
>> 
>>> I can think of a couple of hacky ways to force use of 43596 fw, but I
>>> don't think any would be really upstreamable..
>> 
>> If it is only known to affect the Sony Xperias mentioned then
>> a thing such as:
>> 
>> if (of_machine_is_compatible("sony,xyz") ||
>>     of_machine_is_compatible("sony,zzz")... ) {
>>    // Enforce FW version
>> }
>> 
>> would be completely acceptable in my book. It hammers the
>> problem from the top instead of trying to figure out itsy witsy
>> details about firmware revisions.
>> 
>> Yours,
>> Linus Walleij
>
> Actually, I think I came up with a better approach by pulling a page
> out of Asahi folks' book - please take a look and tell me what you
> think about this:
>
> [1]
> https://github.com/SoMainline/linux/commit/4b6fccc995cd79109b0dae4e4ab2e48db97695e7
> [2]
> https://github.com/SoMainline/linux/commit/e3ea1dc739634f734104f37fdbed046873921af7

Instead of a directory path ("brcm/brcmfmac43596-pcie") why not provide
just the chipset name ("brcmfmac43596-pcie")? IMHO it's unnecessary to
have directory names in Device Tree.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches